Bug 310808 - Add context menus for list entries
Summary: Add context menus for list entries
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: config dialog (show other bugs)
Version: 4.9.3
Platform: Chakra Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-28 10:19 UTC by Bernd Oliver Sünderhauf
Modified: 2013-01-28 08:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2012-11-28 10:19:07 UTC
On the managing identities list, items have a context menu.
All others don't:
- Accounts -> Receiving
- Accounts -> Sending
- Appearance -> Colors
- Editor -> General -> Edit recent addresses
- Editor -> Subject
- Editor -> Charset
- Editor -> Headers
- Editor -> Attachments

If it is easy to add context menus without adding a lot of codelines (maybe reusing a subset of the definition of buttons on the right-hand side), this would be handy, even though redundant.
If not, then we should streamline the UI and remove the context menu of the identity entries just as well.

Reproducible: Always
Comment 1 Laurent Montel 2013-01-28 08:11:58 UTC
Git commit 10007538a93c897d4cea219e9b1c0f839585381d by Montel Laurent.
Committed on 28/01/2013 at 09:11.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 310808 - Add context menus for list entries

Added menu when make sense.

FIXED-IN: 4.10

M  +25   -0    kmail/simplestringlisteditor.cpp
M  +2    -1    kmail/simplestringlisteditor.h

http://commits.kde.org/kdepim/10007538a93c897d4cea219e9b1c0f839585381d